Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class FilterDirectoryReader.StandardReaderWrapper

    java.lang.Object
      org.apache.lucene.index.FilterDirectoryReader.SubReaderWrapper
          org.apache.lucene.index.FilterDirectoryReader.StandardReaderWrapper

Enclosing class:
  FilterDirectoryReader

    public static class FilterDirectoryReader.StandardReaderWrapper

extends FilterDirectoryReader.SubReaderWrapper

A no-op SubReaderWrapper that simply returns the parent DirectoryReader's original subreaders.

Constructor Summary
`FilterDirectoryReader.StandardReaderWrapper()` Constructor

Method Summary
`AtomicReader` | `wrap(AtomicReader reader)` Wrap one of the parent DirectoryReader's subreaders

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterDirectoryReader.StandardReaderWrapper

    public FilterDirectoryReader.StandardReaderWrapper()

  Constructor

Method Detail

### wrap

    public AtomicReader wrap(AtomicReader reader)

  Description copied from class: `FilterDirectoryReader.SubReaderWrapper`
  Wrap one of the parent DirectoryReader's subreaders

  Specified by:
    `wrap` in class `FilterDirectoryReader.SubReaderWrapper`
  Parameters:
    `reader` - the subreader to wrap
  Returns:
    a wrapped/filtered AtomicReader

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.